Package com.io7m.waxmill.machines

# Enum WXMTTYBackends.NMDMSide

java.lang.Object
java.lang.Enum<WXMTTYBackends.NMDMSide>
com.io7m.waxmill.machines.WXMTTYBackends.NMDMSide

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMTTYBackends.NMDMSide>`, `java.lang.constant.Constable`

Enclosing class:
  WXMTTYBackends

    public static enum WXMTTYBackends.NMDMSide
    extends java.lang.Enum<WXMTTYBackends.NMDMSide>

The "side" of an NMDM device. This is either the host-accessible side, or the guest-accessible side.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NMDM_GUEST` | The guest side.
  `NMDM_HOST` | The host side.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMTTYBackends.NMDMSide` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMTTYBackends.NMDMSide[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NMDM_HOST

    public static final WXMTTYBackends.NMDMSide NMDM_HOST
    The host side.

  - ### NMDM_GUEST

    public static final WXMTTYBackends.NMDMSide NMDM_GUEST
    The guest side.

- ## Method Details

  - ### values

    public static WXMTTYBackends.NMDMSide[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMTTYBackends.NMDMSide valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null